net.ME1312.SubServers.Bungee.Host.Internal

## Class InternalHost

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Host.Host
  - - net.ME1312.SubServers.Bungee.Host.Internal.InternalHost

    public class InternalHost
    extends Host

### Constructor Summary

Constructors
Constructor and Description
`InternalHost(SubPlugin plugin, java.lang.String name, java.lang.Boolean enabled, java.net.InetAddress address, java.lang.String directory, java.lang.String gitBash)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SubServer` `addSubServer(java.util.UUID player, java.lang.String name, boolean enabled, int port, java.lang.String motd, boolean log, java.lang.String directory, Executable executable, java.lang.String stopcmd, boolean start, boolean restart, boolean hidden, boolean restricted, boolean temporary)` Adds a SubServer
`int` `command(java.util.UUID player, java.lang.String command, java.lang.String... servers)` Commands the Servers Specified
`boolean` `forceRemoveSubServer(java.util.UUID player, java.lang.String name)` Forces the Removal of a SubServer
`java.net.InetAddress` `getAddress()` Get the Address of this Host
`SubCreator` `getCreator()` Gets the SubCreator Instance for this Host
`java.lang.String` `getDirectory()` Get the Directory of this Host
`java.lang.String` `getName()` Get the Name of this Host
`SubServer` `getSubServer(java.lang.String name)` Gets a SubServer
`java.util.Map<java.lang.String,? extends SubServer>` `getSubServers()` Gets the SubServers on this Host
`boolean` `isEnabled()` Is this Host Enabled?
`boolean` `removeSubServer(java.util.UUID player, java.lang.String name)` Removes a SubServer
`void` `setEnabled(boolean value)` Set if this Host is Enabled
`int` `start(java.util.UUID player, java.lang.String... servers)` Starts the Servers Specified
`int` `stop(java.util.UUID player, java.lang.String... servers)` Stops the Servers Specified
`int` `terminate(java.util.UUID player, java.lang.String... servers)` Terminates the Servers Specified

### Methods inherited from class net.ME1312.SubServers.Bungee.Host.Host

`addSubServer, command, forceRemoveSubServer, removeSubServer, start, stop, terminate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InternalHost

    public InternalHost(SubPlugin plugin,
                        java.lang.String name,
                        java.lang.Boolean enabled,
                        java.net.InetAddress address,
                        java.lang.String directory,
                        java.lang.String gitBash)

### Method Detail

#### isEnabled

    public boolean isEnabled()

Description copied from class: `Host`
Is this Host Enabled?

Specified by:
  `isEnabled` in class `Host`
Returns:
  Enabled Status

#### setEnabled

    public void setEnabled(boolean value)

Description copied from class: `Host`
Set if this Host is Enabled

Specified by:
  `setEnabled` in class `Host`
Parameters:
  `value` - Value

#### getAddress

    public java.net.InetAddress getAddress()

Description copied from class: `Host`
Get the Address of this Host

Specified by:
  `getAddress` in class `Host`
Returns:
  Host Address

#### getDirectory

    public java.lang.String getDirectory()

Description copied from class: `Host`
Get the Directory of this Host

Specified by:
  `getDirectory` in class `Host`
Returns:
  Host Directory

#### getName

    public java.lang.String getName()

Description copied from class: `Host`
Get the Name of this Host

Specified by:
  `getName` in class `Host`
Returns:
  Host Name

#### start

    public int start(java.util.UUID player,
                     java.lang.String... servers)

Description copied from class: `Host`
Starts the Servers Specified

Specified by:
  `start` in class `Host`
Parameters:
  `player` - Player who started
  `servers` - Servers
Returns:
  Success Status

#### stop

    public int stop(java.util.UUID player,
                    java.lang.String... servers)

Description copied from class: `Host`
Stops the Servers Specified

Specified by:
  `stop` in class `Host`
Parameters:
  `player` - Player who started
  `servers` - Servers
Returns:
  Success Status

#### terminate

    public int terminate(java.util.UUID player,
                         java.lang.String... servers)

Description copied from class: `Host`
Terminates the Servers Specified

Specified by:
  `terminate` in class `Host`
Parameters:
  `player` - Player who started
  `servers` - Servers
Returns:
  Success Status

#### command

    public int command(java.util.UUID player,
                       java.lang.String command,
                       java.lang.String... servers)

Description copied from class: `Host`
Commands the Servers Specified

Specified by:
  `command` in class `Host`
Parameters:
  `player` - Player who started
  `command` - Command to send
  `servers` - Servers
Returns:
  Success Status

#### getCreator

    public SubCreator getCreator()

Description copied from class: `Host`
Gets the SubCreator Instance for this Host

Specified by:
  `getCreator` in class `Host`
Returns:
  SubCreator

#### getSubServers

    public java.util.Map<java.lang.String,? extends SubServer> getSubServers()

Description copied from class: `Host`
Gets the SubServers on this Host

Specified by:
  `getSubServers` in class `Host`
Returns:
  SubServer Map

#### getSubServer

    public SubServer getSubServer(java.lang.String name)

Description copied from class: `Host`
Gets a SubServer

Specified by:
  `getSubServer` in class `Host`
Parameters:
  `name` - SubServer Name
Returns:
  a SubServer

#### addSubServer

    public SubServer addSubServer(java.util.UUID player,
                                  java.lang.String name,
                                  boolean enabled,
                                  int port,
                                  java.lang.String motd,
                                  boolean log,
                                  java.lang.String directory,
                                  Executable executable,
                                  java.lang.String stopcmd,
                                  boolean start,
                                  boolean restart,
                                  boolean hidden,
                                  boolean restricted,
                                  boolean temporary)
                           throws InvalidServerException

Description copied from class: `Host`
Adds a SubServer

Specified by:
  `addSubServer` in class `Host`
Parameters:
  `player` - Player who Added
  `name` - Name of Server
  `enabled` - Enabled Status
  `port` - Port Number
  `motd` - Motd of the Server
  `log` - Logging Status
  `directory` - Directory
  `executable` - Executable
  `stopcmd` - Command to Stop the Server
  `restart` - Auto Restart Status
  `hidden` - if the server should be hidden from players
  `restricted` - Players will need a permission to join if true
  `temporary` - Temporary Status
Returns:
  The SubServer
Throws:
  `InvalidServerException`

#### removeSubServer

    public boolean removeSubServer(java.util.UUID player,
                                   java.lang.String name)
                            throws java.lang.InterruptedException

Description copied from class: `Host`
Removes a SubServer

Specified by:
  `removeSubServer` in class `Host`
Parameters:
  `player` - Player Removing
  `name` - SubServer Name
Returns:
  Success Status
Throws:
  `java.lang.InterruptedException`

#### forceRemoveSubServer

    public boolean forceRemoveSubServer(java.util.UUID player,
                                        java.lang.String name)

Description copied from class: `Host`
Forces the Removal of a SubServer

Specified by:
  `forceRemoveSubServer` in class `Host`
Parameters:
  `player` - Player Removing
  `name` - SubServer Name